insert into macroheader values ('SQL CREATE_WEEK_TBL','Create new WEEK data tbl',0,0,1);
insert into macrodetail values ('SQL CREATE_WEEK_TBL',1,37,'',NULL,'This macro creates a new Week Temps table (clearing out any old Week data) in the ''userdata2'' database.
Time bins are every hour.',0,'','');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',2,38,'',0,'ph_directsql("DELETE from userdata2 WHERE type=2")',0,'','');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',3,15,'[LOCAL1]',NULL,'999',0,'','Initialize uid value so info starts at 1000');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',4,15,'[TEMP1]',NULL,'1/24',0,'','bin increment');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',5,15,'[LOCAL2]',NULL,'-[TEMP1]',0,'','Initialize Time Slot Index');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',6,26,'',NULL,'LOOP',0,'','');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',7,38,'',0,'ph_addtovar(1,1,1)',0,'','increment uid value');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',8,15,'[LOCAL2]',NULL,'[LOCAL2] + [TEMP1]',0,'','inc time value by 1/64th day <-> 4 hours');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',9,15,'[LOCAL3]',NULL,'string([LOCAL2],"0.00")',0,'','Standardize Time Slot Index to "0.00" format fot 1-7 days');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',10,37,'',NULL,'******* userdata2 schema *******
uid/type/idstring/idnum/iddate/valstring1/valstring2/valstring3/valstring4/ valnum1/valnum2/valnum3/valnum4/valdate1/valdate2/valdate3/valdate4/lastchange',0,'','');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',11,37,'',NULL,'uid=seq#, type=1 {d/w/m}, idstring=dvc, valstring1=time#, valstring2=newDat, valstring3=oldDat
valstring1=time#, valnum1=new temp, valnum2=old temp',0,'','');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',12,38,'',0,'ph_directsql("INSERT into userdata2 (uid, type, idstring, valstring1)
values ([LOCAL1],2,''Dwn'',[LOCAL3])")',0,'','This data group is all of Type 2 (Week data)');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',13,38,'',0,'ph_addtovar(1,1,1)',0,'','increment uid value');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',14,38,'',0,'ph_directsql("INSERT into userdata2 (uid, type, idstring, valstring1)
values ([LOCAL1],2,''Mid'',[LOCAL3])")',0,'','');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',15,38,'',0,'ph_addtovar(1,1,1)',0,'','increment uid value');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',16,38,'',0,'ph_directsql("INSERT into userdata2 (uid, type, idstring, valstring1)
values ([LOCAL1],2,''Out'',[LOCAL3])")',0,'','');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',17,38,'',0,'ph_addtovar(1,1,1)',0,'','increment uid value');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',18,38,'',0,'ph_directsql("INSERT into userdata2 (uid, type, idstring, valstring1)
values ([LOCAL1],2,''Frzr'',[LOCAL3])")',0,'','');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',19,38,'',0,'ph_addtovar(1,1,1)',0,'','increment uid value');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',20,38,'',0,'ph_directsql("INSERT into userdata2 (uid, type, idstring, valstring1)
values ([LOCAL1],2,''Frig'',[LOCAL3])")',0,'','');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',21,27,'',NULL,'if([LOCAL2]<6.95,"LOOP","nextline")',0,'','This stops the time slot just before the beginning of the 8th day (day0-day7)');
insert into macrodetail values ('SQL CREATE_WEEK_TBL',22,39,'',NULL,'',0,'','');
