insert into macroheader values ('SQL UPDATE_MNTH_TBL','Insert updated data into Month Tbl',0,0,1);
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',1,37,'',NULL,'Called by Timed Event, this updates the temp data every four hours each day for the Month chart.',0,'','');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',2,15,'[LOCAL1]',NULL,'today()',0,'','Time sample is taken');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',3,15,'[LOCAL2]',NULL,'day(date(today()))',0,'','Get this day of month');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',4,15,'[LOCAL6]',NULL,'day(relativedate(date(year(today()),if(month(today())=12,1,month(today())+1),1), -1))',0,'','Find the last day of this month');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',5,15,'[LOCAL3]',NULL,'ph_minutesafter(ph_datetime("00:00:00"),ph_getvar_dt(1,1))/60',0,'','Hours after midnight of current sample');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',6,15,'[LOCAL4]',NULL,'round(([LOCAL3])/4,0)/6',0,'','Convert into one of 6 bins within a day.');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',7,38,'',0,'if([LOCAL4]=1,ph_addtovar(1,2,1)+ph_setvar_a(1,4,0),[LOCAL4])',0,'','If L4=1 (bin 6), then inc day and reset hour bin back to 0');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',8,38,'',0,'if(ph_getvar_n(1,2)>[LOCAL6], ph_setvar_a(1,2,1), [LOCAL2])',0,'','If Day just got bumped past the last day of the month, reset it back to day 1.');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',9,15,'[LOCAL5]',NULL,'string([LOCAL2]+[LOCAL4],"00.00")',0,'','Add date and time together to form numeric datetime value.');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',10,27,'',NULL,'if([LOCAL5]=1.00, "nextline", "GO ON")',0,'','EOM? Did L2 just get bumped beyond last day of month? If so, we need to adjust month day back to 1.');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',11,36,'',NULL,'"Starting new Month, so make all data points historic."',0,'','Yes, so wrap last day of the month value back to 0');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',12,38,'',0,'ph_directsql("update userdata2 SET valstring3 = valstring2  WHERE type=3")',0,'','Copy all data from the left to the right device data column to make it old ("historic") data');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',13,38,'',0,'ph_directsql("UPDATE userdata2 SET valstring2 = Null WHERE type=3")',0,'','Now clear all data from the left column so new ("Current" data can be put there.');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',14,26,'',NULL,'GO ON',0,'','');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',15,37,'',NULL,'******* userdata2 schema *******
uid/type/idstring/idnum/iddate/valstring1/valstring2/valstring3/valstring4/ valnum1/valnum2/valnum3/valnum4/valdate1/valdate2/valdate3/valdate4/lastchange
',0,'','');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',16,37,'',NULL,'uid=seq#, type=2 {d/w/m}, idstring=dvc, valstring1=time#, valstring1=new temp, valstring2=old temp, valmun1=FRZR Avg, valnum2=FRIG Avg',0,'','');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',17,15,'[TEMP1]',NULL,'string({STAT-DWN-TEMP}, "00.0")',0,'','');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',18,15,'[TEMP2]',NULL,'string({STAT-MID-TEMP}, "00.0")',0,'','');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',19,38,'',0,'ph_directsql("update userdata2
SET valstring2 =''[TEMP1]'', valstring3=Null 
WHERE type = 3 and idstring = ''Dwn'' and valstring1=[LOCAL5]")',0,'','Write new data and erase old history for this time in order to make dashed line start after this time slot.');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',20,38,'',0,'ph_directsql("update userdata2
SET valstring2 = ''[TEMP2]'', valstring3=Null 
WHERE type = 3 and idstring = ''Mid'' and valstring1=[LOCAL5]")',0,'','Write new data and erase old history for this time in order to make dashed line start after this time slot.');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',21,38,'',0,'ph_directsql("update userdata2
SET valstring2 = {TEMP-OUT}, valstring3=Null  
WHERE type = 3 and idstring = ''Out'' and valstring1=[LOCAL5]")',0,'','Write new data and erase old history for this time in order to make dashed line start after this time slot.');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',22,38,'',0,'ph_directsql("update userdata2
SET valstring2 = {TEMP-FRZR-AVG}, valstring3=Null 
WHERE type = 3 and idstring = ''Frzr'' and valstring1=[LOCAL5]")',0,'','Write new data and erase old history for this time in order to make dashed line start after this time slot.');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',23,38,'',0,'ph_directsql("update userdata2
SET valstring2 = {TEMP-FRIG-AVG}, valstring3=Null 
WHERE type = 3 and idstring = ''Frig'' and valstring1=[LOCAL5]")',0,'','Write new data and erase old history for this time in order to make dashed line start after this time slot.');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',24,15,'[LOCAL8]',NULL,'"select valstring2 from userdata2 where type = 3 and idstring ="',0,'','Needed because otherwise the write file Formula below will exceed the alloted char count in the formula field.');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',25,15,'[LOCAL9]',NULL,'"select valstring3 from userdata2 where type = 3 and idstring ="',0,'','Ditto');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',26,38,'',0,'ph_writefile("C:\powerhome\web\tempsMonth.csv",1,
"Time,Dwn,Dwn,Mid,Mid,Out,Out,Frzr,Frzr,Frig,Frig~r~n" + 
ph_sql(0,"SELECT valstring1 || '','' || 
([LOCAL8] ''Dwn'' and valstring1 = base.valstring1) || '','' || 
([LOCAL9] ''Dwn'' and valstring1 = base.valstring1) || '','' || 
([LOCAL8] ''Mid'' and valstring1 = base.valstring1) || '','' ||
([LOCAL9] ''Mid'' and valstring1 = base.valstring1) || '','' ||
([LOCAL8] ''Out'' and valstring1 = base.valstring1) || '','' ||  
([LOCAL9] ''Out'' and valstring1 = base.valstring1) || '','' ||  
([LOCAL8] ''Frzr'' and valstring1 = base.valstring1) || '','' ||  
([LOCAL9] ''Frzr'' and valstring1 = base.valstring1) || '','' ||  
([LOCAL8] ''Frig'' and valstring1 = base.valstring1) || '','' || 
([LOCAL9] ''Frig'' and valstring1 = base.valstring1)
from (select valstring1 from userdata2
where type = 3 and idstring = ''Dwn'')  base"))',0,'','SQL formula to extract the entire contents of the SQL Table and write a CSV file for the Chart maker.');
insert into macrodetail values ('SQL UPDATE_MNTH_TBL',27,39,'',NULL,'',0,'','');
