insert into macroheader values ('SQL CREATE_DAY_TBL','Create new DAY data tbl',0,0,1);
insert into macrodetail values ('SQL CREATE_DAY_TBL',1,38,'',0,'This macro Initializes a new Day Temps table (clearing out any old Day data) in the ''userdata2'' database.
Time bins are every 10 minutes.',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',2,38,'',0,'ph_directsql("DELETE FROM userdata2")',1,'','Clear out the ENTIRE table.  Only used on very first use, otherwise disabled.');
insert into macrodetail values ('SQL CREATE_DAY_TBL',3,38,'',0,'ph_directsql("DELETE from userdata2 WHERE type=1")',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',4,15,'[TEMP1]',NULL,'1/6',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',5,15,'[LOCAL1]',NULL,'4',0,'','Initialize uid value');
insert into macrodetail values ('SQL CREATE_DAY_TBL',6,15,'[LOCAL2]',NULL,'-[TEMP1]',0,'','Initialize Time Slot Index');
insert into macrodetail values ('SQL CREATE_DAY_TBL',7,26,'',NULL,'LOOP',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',8,38,'',0,'ph_addtovar(1,1,1)',0,'','increment uid value');
insert into macrodetail values ('SQL CREATE_DAY_TBL',9,15,'[LOCAL2]',NULL,'[LOCAL2] + [TEMP1]',0,'','inc time value by 10 minutes');
insert into macrodetail values ('SQL CREATE_DAY_TBL',10,15,'[LOCAL3]',NULL,'string([LOCAL2],"00.00")',0,'','Standardize Time Slot Index to "00.00" format');
insert into macrodetail values ('SQL CREATE_DAY_TBL',11,37,'',NULL,'******* userdata2 schema *******
uid/type/idstring/idnum/iddate/valstring1/valstring2/valstring3/valstring4/ valnum1/valnum2/valnum3/valnum4/valdate1/valdate2/valdate3/valdate4/lastchange',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',12,37,'',NULL,'uid=seq#, type=1 {d/w/m}, idstring=dvc, valstring1=time#, valstring2=newDat, valstring3=oldDat
valstring1=time#, valnum1=new temp, valnum2=old temp',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',13,27,'',NULL,'if([LOCAL1]=5,"nextline","CONTINUE")',0,'','Prime all cols with numeric value or Chart will think columns are mixed numeric/string and fail to chart.  Only need to do at initialization, as once data starts coming in all columns will have at least one numeric value.');
insert into macrodetail values ('SQL CREATE_DAY_TBL',14,38,'',0,'ph_directsql("INSERT into userdata2 (uid, type, idstring, valstring1, valstring2, valstring3)
VALUES (1,1,''Dwn'',0,0,0)")',0,'','One time column numeric prime for all devices');
insert into macrodetail values ('SQL CREATE_DAY_TBL',15,38,'',0,'ph_directsql("INSERT into userdata2 (uid, type, idstring, valstring1, valstring2, valstring3)
VALUES (2,1,''Mid'',0,0,0)")',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',16,38,'',0,'ph_directsql("INSERT into userdata2 (uid, type, idstring, valstring1, valstring2, valstring3)
VALUES (3,1,''Out'',0,0,0)")',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',17,38,'',0,'ph_directsql("INSERT into userdata2 (uid, type, idstring, valstring1, valstring2, valstring3)
VALUES (4,1,''Frzr'',0,0,0)")',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',18,38,'',0,'ph_directsql("INSERT into userdata2 (uid, type, idstring, valstring1, valstring2, valstring3)
VALUES (5,1,''Frig'',0,0,0)")',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',19,27,'',NULL,'"LOOP"',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',20,39,'',NULL,'',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',21,26,'',NULL,'CONTINUE',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',22,38,'',0,'ph_directsql("INSERT into userdata2 (uid, type, idstring, valstring1)
values ([LOCAL1],1,''Dwn'',[LOCAL3])")',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',23,38,'',0,'ph_addtovar(1,1,1)',0,'','increment uid value');
insert into macrodetail values ('SQL CREATE_DAY_TBL',24,38,'',0,'ph_directsql("INSERT into userdata2 (uid, type, idstring, valstring1)
values ([LOCAL1],1,''Mid'',[LOCAL3])")',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',25,38,'',0,'ph_addtovar(1,1,1)',0,'','increment uid value');
insert into macrodetail values ('SQL CREATE_DAY_TBL',26,38,'',0,'ph_directsql("INSERT into userdata2 (uid, type, idstring, valstring1)
values ([LOCAL1],1,''Out'',[LOCAL3])")',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',27,38,'',0,'ph_addtovar(1,1,1)',0,'','increment uid value');
insert into macrodetail values ('SQL CREATE_DAY_TBL',28,38,'',0,'ph_directsql("INSERT into userdata2 (uid, type, idstring, valstring1)
values ([LOCAL1],1,''Frzr'',[LOCAL3])")',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',29,38,'',0,'ph_addtovar(1,1,1)',0,'','increment uid value');
insert into macrodetail values ('SQL CREATE_DAY_TBL',30,38,'',0,'ph_directsql("INSERT into userdata2 (uid, type, idstring, valstring1)
values ([LOCAL1],1,''Frig'',[LOCAL3])")',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',31,27,'',NULL,'if([LOCAL2]<23.83,"LOOP","nextline")',0,'','');
insert into macrodetail values ('SQL CREATE_DAY_TBL',32,39,'',NULL,'',0,'','');
